|
|
Introduction
This API can be used to programmatically pull data out of ExhibitDay or push data into ExhibitDay -- allowing for automation between ExhibitDay and your internal systems (or other third-party software). To use the API, you'll need working knowledge of consuming REST APIs.
Prerequisite
An API Key is required in order to make API calls. You can obtain your API Key from your ExhibitDay account (under Workspace Settings > API & Integrations > API Access).
Methods and Parameters
There are 3 ways you can pass in the parameter(s) for a method when making an API call:
Pro tip: you can mix-and-match where the parameters are placed in the request. For example, the api_key parameter (which is a required parameter of every API method) can be placed in the request Header and all other parameters can be placed in the request Body.
Updating and Clearing Values
When you update an object (e.g., an event or a task), only pass in the parameters that you want to change. Any parameter you don't pass in is left unchanged.
Example (remove the due date of the task that has a taskid of 12345; the empty details value leaves the task's details unchanged):
curl -X PATCH https://api.exhibitday.com/v1/tasks -H "Content-Type: application/json" -d "{\"api_key\":\"YOUR_API_KEY\", \"id\":\"12345\", \"due_date\":null, \"details\":\"\"}"
Response:
{"status_code":200,"status":"OK","message":"Task Update Successful. Task properties that were changed: due_date","errors":[],"warnings":["details was empty, so it was left unchanged. To clear it, send null."]}
Note: when you add an object (e.g., with a POST call), passing in null is the same as leaving the parameter out.
Response Status Codes
|